GET
/distributed_jobs_v2/deployment_images/{Framework}/
curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/distributed_jobs_v2/deployment_images/{Framework}/?project_id=<PROJECT_ID>&location=<LOCATION>&job_type=<JOB_TYPE>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/gpu/distributed_jobs_v2/deployment_images/{Framework}/", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "job_type": "<JOB_TYPE>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/gpu/distributed_jobs_v2/deployment_images/{Framework}/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", job_type: "<JOB_TYPE>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Returns available Training Cluster images and their versions for the specified framework.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Framework
required
string
Framework type for which to list images.
Query Parameters
Section titled “Query Parameters”project_id
required
integer
Project ID
active_iam
integer
Active IAM ID (To access contact person account) Find your Active IAM ID here
location
required
string
Location
job_type
required
string
Job type filter — must match the path parameter value.
Responses
Section titled “Responses”Successful response with available cluster images and their versions.
Media typeapplication/json
object
code
integer
data
Array<object>
object
image_id
integer
name
string
slug_name
string
framework
string
description
string
is_internal
boolean
versions
Array<object>
object
image_version_id
integer
version
string
description
string
tags
Array<string>
is_internal
boolean
errors
object
message
string
Example
{ "code": 200, "data": [ { "image_id": 1, "name": "Ubuntu Slurm", "slug_name": "ubuntu-slurm", "framework": "Slurm", "description": "", "is_internal": false, "versions": [ { "image_version_id": 2, "version": "v2-slurm25.11-ubuntu24.04", "description": "", "tags": [], "is_internal": false } ] } ], "errors": {}, "message": "Success"}